Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HLDemo/HeuristicLab.DemoClient/HeuristicLab.DemoClient.csproj
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HLDemo/HeuristicLab.DemoClient/HeuristicLab.DemoClient.csproj	(revision 4727)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HLDemo/HeuristicLab.DemoClient/HeuristicLab.DemoClient.csproj	(revision 4728)
@@ -36,8 +36,9 @@
   </PropertyGroup>
   <PropertyGroup>
-    <SignAssembly>true</SignAssembly>
+    <SignAssembly>false</SignAssembly>
   </PropertyGroup>
   <PropertyGroup>
-    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+    <AssemblyOriginatorKeyFile>
+    </AssemblyOriginatorKeyFile>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|AnyCPU'">
@@ -96,5 +97,4 @@
       <SubType>Designer</SubType>
     </None>
-    <None Include="HeuristicLab.snk" />
     <None Include="Service References\Services.DemoService\HeuristicLab.DemoClient.Services.DemoService.CompositeType.datasource">
       <DependentUpon>Reference.svcmap</DependentUpon>
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HLDemo/HeuristicLab.Services.DemoService/HeuristicLab.Services.DemoService.csproj
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HLDemo/HeuristicLab.Services.DemoService/HeuristicLab.Services.DemoService.csproj	(revision 4727)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HLDemo/HeuristicLab.Services.DemoService/HeuristicLab.Services.DemoService.csproj	(revision 4728)
@@ -33,8 +33,9 @@
   </PropertyGroup>
   <PropertyGroup>
-    <SignAssembly>true</SignAssembly>
+    <SignAssembly>false</SignAssembly>
   </PropertyGroup>
   <PropertyGroup>
-    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+    <AssemblyOriginatorKeyFile>
+    </AssemblyOriginatorKeyFile>
   </PropertyGroup>
   <ItemGroup>
@@ -81,7 +82,4 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="HeuristicLab.snk" />
-  </ItemGroup>
-  <ItemGroup>
     <ProjectReference Include="..\..\HeuristicLab.Services.Authentication.AdminMethods\HeuristicLab.Services.Authentication.AdminMethods.csproj">
       <Project>{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}</Project>
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.AdminMethods/HeuristicLab.Services.Authentication.AdminMethods.csproj
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.AdminMethods/HeuristicLab.Services.Authentication.AdminMethods.csproj	(revision 4727)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.AdminMethods/HeuristicLab.Services.Authentication.AdminMethods.csproj	(revision 4728)
@@ -35,8 +35,9 @@
   </PropertyGroup>
   <PropertyGroup>
-    <SignAssembly>true</SignAssembly>
+    <SignAssembly>false</SignAssembly>
   </PropertyGroup>
   <PropertyGroup>
-    <AssemblyOriginatorKeyFile>HLAuthenticationAdminMethods.pfx</AssemblyOriginatorKeyFile>
+    <AssemblyOriginatorKeyFile>
+    </AssemblyOriginatorKeyFile>
   </PropertyGroup>
   <ItemGroup>
@@ -74,7 +75,4 @@
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup>
-    <None Include="HLAuthenticationAdminMethods.pfx" />
-  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj	(revision 4727)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/HeuristicLab.Services.Authentication.DataAccess.csproj	(revision 4728)
@@ -32,8 +32,9 @@
   </PropertyGroup>
   <PropertyGroup>
-    <SignAssembly>true</SignAssembly>
+    <SignAssembly>false</SignAssembly>
   </PropertyGroup>
   <PropertyGroup>
-    <AssemblyOriginatorKeyFile>HLAuthenticationDataAccess.pfx</AssemblyOriginatorKeyFile>
+    <AssemblyOriginatorKeyFile>
+    </AssemblyOriginatorKeyFile>
   </PropertyGroup>
   <ItemGroup>
@@ -67,5 +68,4 @@
       <SubType>Designer</SubType>
     </None>
-    <None Include="HLAuthenticationDataAccess.pfx" />
     <None Include="Properties\Settings.settings">
       <Generator>SettingsSingleFileGenerator</Generator>
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj	(revision 4727)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj	(revision 4728)
@@ -32,8 +32,9 @@
   </PropertyGroup>
   <PropertyGroup>
-    <SignAssembly>true</SignAssembly>
+    <SignAssembly>false</SignAssembly>
   </PropertyGroup>
   <PropertyGroup>
-    <AssemblyOriginatorKeyFile>HLAuthenticationDataTransfer.pfx</AssemblyOriginatorKeyFile>
+    <AssemblyOriginatorKeyFile>
+    </AssemblyOriginatorKeyFile>
   </PropertyGroup>
   <ItemGroup>
@@ -59,7 +60,4 @@
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup>
-    <None Include="HLAuthenticationDataTransfer.pfx" />
-  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj	(revision 4727)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj	(revision 4728)
@@ -33,8 +33,9 @@
   </PropertyGroup>
   <PropertyGroup>
-    <SignAssembly>true</SignAssembly>
+    <SignAssembly>false</SignAssembly>
   </PropertyGroup>
   <PropertyGroup>
-    <AssemblyOriginatorKeyFile>HLAuthentication.pfx</AssemblyOriginatorKeyFile>
+    <AssemblyOriginatorKeyFile>
+    </AssemblyOriginatorKeyFile>
   </PropertyGroup>
   <PropertyGroup>
@@ -93,7 +94,4 @@
     </ProjectReference>
   </ItemGroup>
-  <ItemGroup>
-    <None Include="HLAuthentication.pfx" />
-  </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" />