Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Views/Account/ChangePassword.aspx
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Views/Account/ChangePassword.aspx	(revision 4613)
+++ branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Views/Account/ChangePassword.aspx	(revision 4729)
@@ -1,3 +1,3 @@
-﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<HeuristicLabWeb.PluginHost.Models.ChangePasswordModel>" %>
+﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<HLWebPluginHost.Models.ChangePasswordModel>" %>
 
 <asp:Content ID="changePasswordTitle" ContentPlaceHolderID="TitleContent" runat="server">
Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Views/Account/LogOn.aspx
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Views/Account/LogOn.aspx	(revision 4613)
+++ branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Views/Account/LogOn.aspx	(revision 4729)
@@ -1,3 +1,3 @@
-﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<HeuristicLabWeb.PluginHost.Models.LogOnModel>" %>
+﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<HLWebPluginHost.Models.LogOnModel>" %>
 
 <asp:Content ID="loginTitle" ContentPlaceHolderID="TitleContent" runat="server">
@@ -19,5 +19,5 @@
                 <div class="editor-label">
                     <%: Html.LabelFor(m => m.UserName) %>
-                </div>
+                </div> 
                 <div class="editor-field">
                     <%: Html.TextBoxFor(m => m.UserName) %>
Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Views/Account/Register.aspx
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Views/Account/Register.aspx	(revision 4613)
+++ branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Views/Account/Register.aspx	(revision 4729)
@@ -1,3 +1,3 @@
-﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<HeuristicLabWeb.PluginHost.Models.RegisterModel>" %>
+﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<HLWebPluginHost.Models.RegisterModel>" %>
 
 <asp:Content ID="registerTitle" ContentPlaceHolderID="TitleContent" runat="server">
Index: branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Web.config
===================================================================
--- branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Web.config	(revision 4613)
+++ branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Web.config	(revision 4729)
@@ -7,9 +7,10 @@
 
 <configuration>
+  <!--Implemented-->
   <connectionStrings>
-    <add name="ApplicationServices"
-         connectionString="data source=.\SQLEXPRESS;Integrated Security=SSPI;AttachDBFilename=|DataDirectory|aspnetdb.mdf;User Instance=true"
-         providerName="System.Data.SqlClient" />
+    <add name="HeuristicLab.Authentication"
+         connectionString="data source=.\SQLEXPRESS;Integrated Security=SSPI;Initial Catalog=HeuristicLab.Authentication"/>
   </connectionStrings>
+  <!--ImplementedEND-->
 
   <system.web>
@@ -26,5 +27,5 @@
     </authentication>
 
-    <membership>
+    <!--<membership>
       <providers>
         <clear/>
@@ -34,5 +35,5 @@
              applicationName="/" />
       </providers>
-    </membership>
+    </membership>-->
 
     <profile>
@@ -43,5 +44,5 @@
     </profile>
 
-    <roleManager enabled="false">
+    <!--<roleManager enabled="false">
       <providers>
         <clear/>
@@ -49,5 +50,5 @@
         <add name="AspNetWindowsTokenRoleProvider" type="System.Web.Security.WindowsTokenRoleProvider" applicationName="/" />
       </providers>
-    </roleManager>
+    </roleManager>-->
 
     <pages>
@@ -59,4 +60,25 @@
       </namespaces>
     </pages>
+   <!--Implemented-->
+        <membership defaultProvider="AspNetSqlMembershipProvider">
+            <providers>
+              <clear/>
+              <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="HeuristicLab.Authentication"
+                   enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false"
+                   maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10"
+                   applicationName="HeuristicLab.Authentication" />
+            </providers>
+          </membership>
+
+          <roleManager enabled="true">
+            <providers>
+              <clear/>
+              <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="HeuristicLab.Authentication" applicationName="HeuristicLab.Authentication" />
+            </providers>
+          </roleManager>
+
+<!--ImplementedEND-->  
+     
+    
   </system.web>
 