Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HLDemo/HeuristicLab.Services.DemoService/HeuristicLab.Services.DemoService.csproj
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HLDemo/HeuristicLab.Services.DemoService/HeuristicLab.Services.DemoService.csproj	(revision 4730)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HLDemo/HeuristicLab.Services.DemoService/HeuristicLab.Services.DemoService.csproj	(revision 4731)
@@ -81,10 +81,4 @@
     <Folder Include="App_Data\" />
   </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Services.Authentication.AdminMethods\HeuristicLab.Services.Authentication.AdminMethods.csproj">
-      <Project>{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}</Project>
-      <Name>HeuristicLab.Services.Authentication.AdminMethods</Name>
-    </ProjectReference>
-  </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" />
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml	(revision 4730)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml	(revision 4731)
@@ -2,10 +2,10 @@
   <Table Name="" Member="Resources">
     <Type Name="Resource" InheritanceCode="Resource" IsInheritanceDefault="true">
-      <Column Name="ResourceID" Member="ResourceId" Storage="_ResourceID" AutoSync="OnInsert" Type="System.Guid" IsPrimaryKey="true" CanBeNull="false" />
+      <Column Name="ResourceID" Member="Id" Storage="_ResourceID" AutoSync="OnInsert" Type="System.Guid" IsPrimaryKey="true" CanBeNull="false" />
       <Column Name="Name" Type="System.String" CanBeNull="false" />
       <Column Name="Description" Type="System.String" CanBeNull="true" />
       <Column Name="ResourceType" Type="System.Guid" CanBeNull="false" IsDiscriminator="true" />
-      <Association Name="Resource_ResourceResourceGroup" Member="Clients" Storage="_ResourceResourceGroups" ThisKey="ResourceId" OtherKey="ResourceId" Type="ResourceResourceGroup" />
-      <Association Name="Resource_ResourceResourceGroup1" Member="ResourceGroups" Storage="_ResourceResourceGroups1" ThisKey="ResourceId" OtherKey="ResourceGroupId" Type="ResourceResourceGroup" />
+      <Association Name="Resource_ResourceResourceGroup" Member="Clients" Storage="_ResourceResourceGroups" ThisKey="Id" OtherKey="ResourceId" Type="ResourceResourceGroup" />
+      <Association Name="Resource_ResourceResourceGroup1" Member="ResourceGroups" Storage="_ResourceResourceGroups1" ThisKey="Id" OtherKey="ResourceGroupId" Type="ResourceResourceGroup" />
       <Type Name="Client" InheritanceCode="Client">
         <Column Name="ProcessorType" Type="System.String" CanBeNull="true" />
@@ -23,6 +23,6 @@
       <Column Name="ResourceID" Member="ResourceId" Storage="_ResourceID" Type="System.Guid" IsPrimaryKey="true" CanBeNull="false" />
       <Column Name="ResourceGroupID" Member="ResourceGroupId" Storage="_ResourceGroupID" Type="System.Guid" IsPrimaryKey="true" CanBeNull="false" />
-      <Association Name="Resource_ResourceResourceGroup" Member="Client" Storage="_Resource" ThisKey="ResourceId" OtherKey="ResourceId" Type="Resource" IsForeignKey="true" />
-      <Association Name="Resource_ResourceResourceGroup1" Member="ResourceGroup" Storage="_Resource1" ThisKey="ResourceGroupId" OtherKey="ResourceId" Type="Resource" IsForeignKey="true" />
+      <Association Name="Resource_ResourceResourceGroup" Member="Client" Storage="_Resource" ThisKey="ResourceId" OtherKey="Id" Type="Resource" IsForeignKey="true" />
+      <Association Name="Resource_ResourceResourceGroup1" Member="ResourceGroup" Storage="_Resource1" ThisKey="ResourceGroupId" OtherKey="Id" Type="Resource" IsForeignKey="true" />
     </Type>
   </Table>
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml.layout
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml.layout	(revision 4730)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml.layout	(revision 4731)
@@ -3,14 +3,14 @@
   <DataContextMoniker Name="/ClientManagmentDataContext" />
   <nestedChildShapes>
-    <classShape Id="cace4a80-c7a9-4132-9b82-c4ef3884dbc0" absoluteBounds="0.75, 3.875, 2, 1.7535424804687496">
+    <classShape Id="cace4a80-c7a9-4132-9b82-c4ef3884dbc0" absoluteBounds="0.75, 3.875, 2, 1.9631982421874996">
       <DataClassMoniker Name="/ClientManagmentDataContext/Client" />
       <nestedChildShapes>
-        <elementListCompartment Id="bce42ce5-f605-4c26-a210-ed4ea2812ca7" absoluteBounds="0.765, 4.335, 1.9700000000000002, 1.19354248046875" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="bce42ce5-f605-4c26-a210-ed4ea2812ca7" absoluteBounds="0.765, 4.335, 1.9700000000000002, 1.4031982421875" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
-    <classShape Id="ea129a98-d63f-4c3a-a3e8-dff64ad53c30" absoluteBounds="2.125, 1.25, 2, 1.424847819010417">
+    <classShape Id="ea129a98-d63f-4c3a-a3e8-dff64ad53c30" absoluteBounds="2.125, 1.25, 2, 1.5785953776041666">
       <DataClassMoniker Name="/ClientManagmentDataContext/Resource" />
       <nestedChildShapes>
-        <elementListCompartment Id="3a656a72-fe83-45a4-87c2-c0aa13fa068f" absoluteBounds="2.14, 1.71, 1.9700000000000002, 0.86484781901041663" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="3a656a72-fe83-45a4-87c2-c0aa13fa068f" absoluteBounds="2.14, 1.71, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
@@ -21,8 +21,8 @@
       </nodes>
     </inheritanceConnector>
-    <classShape Id="7820d3d1-da69-4786-9415-4fa77e5fc03a" absoluteBounds="3.625, 3.875, 2, 0.76745849609374961">
+    <classShape Id="7820d3d1-da69-4786-9415-4fa77e5fc03a" absoluteBounds="3.625, 3.875, 2, 0.80938964843749961">
       <DataClassMoniker Name="/ClientManagmentDataContext/ResourceGroup" />
       <nestedChildShapes>
-        <elementListCompartment Id="125f9904-768c-4c01-9a04-5212a9e6e484" absoluteBounds="3.64, 4.335, 1.9700000000000002, 0.20745849609375" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="125f9904-768c-4c01-9a04-5212a9e6e484" absoluteBounds="3.64, 4.335, 1.9700000000000002, 0.2493896484375" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
@@ -33,8 +33,8 @@
       </nodes>
     </inheritanceConnector>
-    <classShape Id="9b206f4e-128f-4c3f-bd08-7f2d271ebb2b" absoluteBounds="5.125, 1.25, 2, 1.0961531575520831">
+    <classShape Id="9b206f4e-128f-4c3f-bd08-7f2d271ebb2b" absoluteBounds="5.125, 1.25, 2, 1.1939925130208331">
       <DataClassMoniker Name="/ClientManagmentDataContext/ResourceResourceGroup" />
       <nestedChildShapes>
-        <elementListCompartment Id="9d879183-e5e2-42e9-9fbf-3e68f959d459" absoluteBounds="5.14, 1.71, 1.9700000000000002, 0.53615315755208326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="9d879183-e5e2-42e9-9fbf-3e68f959d459" absoluteBounds="5.14, 1.71, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Client.cs
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Client.cs	(revision 4730)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Client.cs	(revision 4731)
@@ -1,21 +1,22 @@
-﻿
-using System.Runtime.Serialization;
+﻿using System.Runtime.Serialization;
 
-namespace HeuristicLab.Services.Authentication.DataTransfer {
+namespace HeuristicLab.Services.Authentication.DataTransfer
+{
+    [DataContract]
+    public class Client : HeuristicLab.Services.Authentication.DataTransfer.Resource
+    {
+        [DataMember]
+        public string ProcessorType { get; set; }
+        [DataMember]
+        public string NumberOfProcessors { get; set; }
+        [DataMember]
+        public string NumberOfThreads { get; set; }
+        [DataMember]
+        public string IPAdress { get; set; }
+        [DataMember]
+        public string MemorySize { get; set; }
+        [DataMember]
+        public string OperatingSystem { get; set; }
 
-  public class Client : HeuristicLab.Services.Authentication.DataTransfer.Resource {
-
-    public string ProcessorType { get; set; }
-
-    public string NumberOfProcessors { get; set; }
-
-    public string NumberOfThreads { get; set; }
-
-    public string IPAdress { get; set; }
-
-    public string MemorySize { get; set; }
-
-    public string OperatingSystem { get; set; }
-
-  }
+    }
 }
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj	(revision 4730)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/HeuristicLab.Services.Authentication.DataTransfer.csproj	(revision 4731)
@@ -42,4 +42,5 @@
     <Reference Include="System.Core" />
     <Reference Include="System.Data.Linq" />
+    <Reference Include="System.Runtime.Serialization" />
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data.DataSetExtensions" />
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Resource.cs
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Resource.cs	(revision 4730)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/Resource.cs	(revision 4731)
@@ -1,23 +1,20 @@
-﻿// Resource.cs
+﻿using System.Runtime.Serialization;
 
-using System.Runtime.Serialization;
-
-namespace HeuristicLab.Services.Authentication.DataTransfer {
-  public abstract class Resource {
-
-    public System.Guid ResourceID { get; set; }
-    
-    public string Name { get; set; }
-    
-    public string Description { get; set; }
-
-    public string ResourceType { get; set; }
-
-    public string ResourceGroup { get; set; }
-
-    public override string ToString() {
-      return (this.Name + "; Id= " + this.ResourceID + "; " + this.ResourceType);
+namespace HeuristicLab.Services.Authentication.DataTransfer
+{
+    [DataContract]
+    public abstract class Resource
+    {
+        [DataMember]
+        public System.Guid ResourceID { get; set; }
+        [DataMember]
+        public string Name { get; set; }
+        [DataMember]
+        public string Description { get; set; }
+        [DataMember]
+        public string ResourceType { get; set; }
+        [DataMember]
+        public string ResourceGroup { get; set; }
     }
-  }
 }
 
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/ResourceGroup.cs
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/ResourceGroup.cs	(revision 4730)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataTransfer/ResourceGroup.cs	(revision 4731)
@@ -1,8 +1,10 @@
-﻿
-using System.Runtime.Serialization;
+﻿using System.Runtime.Serialization;
 
-namespace HeuristicLab.Services.Authentication.DataTransfer {
-  public class ResourceGroup : Resource {
-  }
+namespace HeuristicLab.Services.Authentication.DataTransfer
+{
+    [DataContract]
+    public class ResourceGroup : Resource
+    {
+    }
 }
 
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj	(revision 4730)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj	(revision 4731)
@@ -64,5 +64,5 @@
   </ItemGroup>
   <ItemGroup>
-    <Content Include="Service1.svc" />
+    <Content Include="AuthenticationService.svc" />
     <Content Include="Web.config" />
     <Content Include="Web.Debug.config">
@@ -75,8 +75,8 @@
   <ItemGroup>
     <Compile Include="Convert.cs" />
-    <Compile Include="Service1.svc.cs">
-      <DependentUpon>Service1.svc</DependentUpon>
+    <Compile Include="AuthenticationService.svc.cs">
+      <DependentUpon>AuthenticationService.svc</DependentUpon>
     </Compile>
-    <Compile Include="IService1.cs" />
+    <Compile Include="Interfaces\IAuthenticationService.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/UserInterface/HeuristicLab.Services.Authentication.UserInterface.csproj
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/UserInterface/HeuristicLab.Services.Authentication.UserInterface.csproj	(revision 4730)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/UserInterface/HeuristicLab.Services.Authentication.UserInterface.csproj	(revision 4731)
@@ -83,10 +83,4 @@
     <WCFMetadata Include="Service References\" />
   </ItemGroup>
-  <ItemGroup>
-    <ProjectReference Include="..\HeuristicLab.Services.Authentication.AdminMethods\HeuristicLab.Services.Authentication.AdminMethods.csproj">
-      <Project>{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}</Project>
-      <Name>HeuristicLab.Services.Authentication.AdminMethods</Name>
-    </ProjectReference>
-  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 