Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml	(revision 4731)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.dbml	(revision 4732)
@@ -1,9 +1,9 @@
 ﻿<?xml version="1.0" encoding="utf-8"?><Database Class="ClientManagmentDataContext" xmlns="http://schemas.microsoft.com/linqtosql/dbml/2007">
   <Table Name="" Member="Resources">
-    <Type Name="Resource" InheritanceCode="Resource" IsInheritanceDefault="true">
+    <Type Name="Resource" InheritanceCode="Resource">
       <Column Name="ResourceID" Member="Id" Storage="_ResourceID" AutoSync="OnInsert" Type="System.Guid" IsPrimaryKey="true" CanBeNull="false" />
       <Column Name="Name" Type="System.String" CanBeNull="false" />
       <Column Name="Description" Type="System.String" CanBeNull="true" />
-      <Column Name="ResourceType" Type="System.Guid" CanBeNull="false" IsDiscriminator="true" />
+      <Column Name="ResourceType" Type="System.String" CanBeNull="false" IsDiscriminator="true" />
       <Association Name="Resource_ResourceResourceGroup" Member="Clients" Storage="_ResourceResourceGroups" ThisKey="Id" OtherKey="ResourceId" Type="ResourceResourceGroup" />
       <Association Name="Resource_ResourceResourceGroup1" Member="ResourceGroups" Storage="_ResourceResourceGroups1" ThisKey="Id" OtherKey="ResourceGroupId" Type="ResourceResourceGroup" />
@@ -16,5 +16,5 @@
         <Column Name="OperatingSystem" Type="System.String" CanBeNull="true" />
       </Type>
-      <Type Name="ResourceGroup" InheritanceCode="ResourceGroup" />
+      <Type Name="ResourceGroup" InheritanceCode="ResourceGroup" IsInheritanceDefault="true" />
     </Type>
   </Table>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.designer.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.designer.cs	(revision 4731)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.DataAccess/ClientManagment.designer.cs	(revision 4732)
@@ -37,11 +37,5 @@
     partial void DeleteResourceResourceGroup(ResourceResourceGroup instance);
     #endregion
-
-
-    public ClientManagmentDataContext() :
-      base(global::HeuristicLab.Services.Authentication.DataAccess.Properties.Settings.Default.ClientManagementConnectionString, mappingSource) {
-      OnCreated();
-    }
-
+		
 		public ClientManagmentDataContext(string connection) : 
 				base(connection, mappingSource)
@@ -86,7 +80,7 @@
 	
 	[global::System.Data.Linq.Mapping.TableAttribute(Name="")]
-	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="Resource", Type=typeof(Resource), IsDefault=true)]
+	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="Resource", Type=typeof(Resource))]
 	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="Client", Type=typeof(Client))]
-	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="ResourceGroup", Type=typeof(ResourceGroup))]
+	[global::System.Data.Linq.Mapping.InheritanceMappingAttribute(Code="ResourceGroup", Type=typeof(ResourceGroup), IsDefault=true)]
 	public partial class Resource : INotifyPropertyChanging, INotifyPropertyChanged
 	{
@@ -110,6 +104,6 @@
     partial void OnValidate(System.Data.Linq.ChangeAction action);
     partial void OnCreated();
-    partial void OnResourceIDChanging(System.Guid value);
-    partial void OnResourceIDChanged();
+    partial void OnIdChanging(System.Guid value);
+    partial void OnIdChanged();
     partial void OnNameChanging(string value);
     partial void OnNameChanged();
@@ -127,6 +121,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ResourceID", AutoSync=AutoSync.OnInsert, IsPrimaryKey=true)]
-		public System.Guid ResourceID
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Name="ResourceID", Storage="_ResourceID", AutoSync=AutoSync.OnInsert, IsPrimaryKey=true)]
+		public System.Guid Id
 		{
 			get
@@ -138,9 +132,9 @@
 				if ((this._ResourceID != value))
 				{
-					this.OnResourceIDChanging(value);
+					this.OnIdChanging(value);
 					this.SendPropertyChanging();
 					this._ResourceID = value;
-					this.SendPropertyChanged("ResourceID");
-					this.OnResourceIDChanged();
+					this.SendPropertyChanged("Id");
+					this.OnIdChanged();
 				}
 			}
@@ -207,5 +201,5 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup", Storage="_ResourceResourceGroups", ThisKey="ResourceID", OtherKey="ResourceID")]
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup", Storage="_ResourceResourceGroups", ThisKey="Id", OtherKey="ResourceId")]
 		public EntitySet<ResourceResourceGroup> Clients
 		{
@@ -220,5 +214,5 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup1", Storage="_ResourceResourceGroups1", ThisKey="ResourceID", OtherKey="ResourceGroupID")]
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup1", Storage="_ResourceResourceGroups1", ThisKey="Id", OtherKey="ResourceGroupId")]
 		public EntitySet<ResourceResourceGroup> ResourceGroups
 		{
@@ -470,8 +464,8 @@
     partial void OnValidate(System.Data.Linq.ChangeAction action);
     partial void OnCreated();
-    partial void OnResourceIDChanging(System.Guid value);
-    partial void OnResourceIDChanged();
-    partial void OnResourceGroupIDChanging(System.Guid value);
-    partial void OnResourceGroupIDChanged();
+    partial void OnResourceIdChanging(System.Guid value);
+    partial void OnResourceIdChanged();
+    partial void OnResourceGroupIdChanging(System.Guid value);
+    partial void OnResourceGroupIdChanged();
     #endregion
 		
@@ -483,6 +477,6 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ResourceID", IsPrimaryKey=true)]
-		public System.Guid ResourceID
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Name="ResourceID", Storage="_ResourceID", IsPrimaryKey=true)]
+		public System.Guid ResourceId
 		{
 			get
@@ -494,19 +488,15 @@
 				if ((this._ResourceID != value))
 				{
-					if (this._Resource.HasLoadedOrAssignedValue)
-					{
-						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
-					}
-					this.OnResourceIDChanging(value);
+					this.OnResourceIdChanging(value);
 					this.SendPropertyChanging();
 					this._ResourceID = value;
-					this.SendPropertyChanged("ResourceID");
-					this.OnResourceIDChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ResourceGroupID", IsPrimaryKey=true)]
-		public System.Guid ResourceGroupID
+					this.SendPropertyChanged("ResourceId");
+					this.OnResourceIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.ColumnAttribute(Name="ResourceGroupID", Storage="_ResourceGroupID", IsPrimaryKey=true)]
+		public System.Guid ResourceGroupId
 		{
 			get
@@ -518,18 +508,14 @@
 				if ((this._ResourceGroupID != value))
 				{
-					if (this._Resource1.HasLoadedOrAssignedValue)
-					{
-						throw new System.Data.Linq.ForeignKeyReferenceAlreadyHasValueException();
-					}
-					this.OnResourceGroupIDChanging(value);
+					this.OnResourceGroupIdChanging(value);
 					this.SendPropertyChanging();
 					this._ResourceGroupID = value;
-					this.SendPropertyChanged("ResourceGroupID");
-					this.OnResourceGroupIDChanged();
-				}
-			}
-		}
-		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup", Storage="_Resource", ThisKey="ResourceID", OtherKey="ResourceID", IsForeignKey=true)]
+					this.SendPropertyChanged("ResourceGroupId");
+					this.OnResourceGroupIdChanged();
+				}
+			}
+		}
+		
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup", Storage="_Resource", ThisKey="ResourceId", OtherKey="Id", IsForeignKey=true)]
 		public Resource Client
 		{
@@ -554,5 +540,5 @@
 					{
 						value.Clients.Add(this);
-						this._ResourceID = value.ResourceID;
+						this._ResourceID = value.Id;
 					}
 					else
@@ -565,5 +551,5 @@
 		}
 		
-		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup1", Storage="_Resource1", ThisKey="ResourceGroupID", OtherKey="ResourceID", IsForeignKey=true)]
+		[global::System.Data.Linq.Mapping.AssociationAttribute(Name="Resource_ResourceResourceGroup1", Storage="_Resource1", ThisKey="ResourceGroupId", OtherKey="Id", IsForeignKey=true)]
 		public Resource ResourceGroup
 		{
@@ -588,5 +574,5 @@
 					{
 						value.ResourceGroups.Add(this);
-						this._ResourceGroupID = value.ResourceID;
+						this._ResourceGroupID = value.Id;
 					}
 					else
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.sln
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.sln	(revision 4731)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.sln	(revision 4732)
@@ -9,12 +9,4 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Test", "Test\Test.csproj", "{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.AdminMethods", "HeuristicLab.Services.Authentication.AdminMethods\HeuristicLab.Services.Authentication.AdminMethods.csproj", "{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Authentication.UserInterface", "UserInterface\HeuristicLab.Services.Authentication.UserInterface.csproj", "{345CD2B9-F5A9-498C-A50C-79D41E449351}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.DemoClient", "HLDemo\HeuristicLab.DemoClient\HeuristicLab.DemoClient.csproj", "{92119B2A-37FA-444B-8C68-61114BD041F4}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.DemoService", "HLDemo\HeuristicLab.Services.DemoService\HeuristicLab.Services.DemoService.csproj", "{C1A05138-12F5-4B47-B32D-80A508D3073A}"
 EndProject
 Global
@@ -68,46 +60,4 @@
 		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Release|x86.ActiveCfg = Release|x86
 		{D83C93B5-5DDE-4A66-A9B8-D7FD0A891ABB}.Release|x86.Build.0 = Release|x86
-		{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}.Debug|Any CPU.ActiveCfg = Debug|x86
-		{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}.Debug|Mixed Platforms.Build.0 = Debug|x86
-		{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}.Debug|x86.ActiveCfg = Debug|x86
-		{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}.Debug|x86.Build.0 = Debug|x86
-		{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}.Release|Any CPU.ActiveCfg = Release|x86
-		{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}.Release|Mixed Platforms.Build.0 = Release|x86
-		{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}.Release|x86.ActiveCfg = Release|x86
-		{2DC20235-6A91-4ABC-8E3E-660B43EAD23B}.Release|x86.Build.0 = Release|x86
-		{345CD2B9-F5A9-498C-A50C-79D41E449351}.Debug|Any CPU.ActiveCfg = Debug|x86
-		{345CD2B9-F5A9-498C-A50C-79D41E449351}.Debug|Mixed Platforms.ActiveCfg = Debug|x86
-		{345CD2B9-F5A9-498C-A50C-79D41E449351}.Debug|Mixed Platforms.Build.0 = Debug|x86
-		{345CD2B9-F5A9-498C-A50C-79D41E449351}.Debug|x86.ActiveCfg = Debug|x86
-		{345CD2B9-F5A9-498C-A50C-79D41E449351}.Debug|x86.Build.0 = Debug|x86
-		{345CD2B9-F5A9-498C-A50C-79D41E449351}.Release|Any CPU.ActiveCfg = Release|x86
-		{345CD2B9-F5A9-498C-A50C-79D41E449351}.Release|Mixed Platforms.ActiveCfg = Release|x86
-		{345CD2B9-F5A9-498C-A50C-79D41E449351}.Release|Mixed Platforms.Build.0 = Release|x86
-		{345CD2B9-F5A9-498C-A50C-79D41E449351}.Release|x86.ActiveCfg = Release|x86
-		{345CD2B9-F5A9-498C-A50C-79D41E449351}.Release|x86.Build.0 = Release|x86
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Debug|x86.ActiveCfg = Debug|x86
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Debug|x86.Build.0 = Debug|x86
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Release|Any CPU.Build.0 = Release|Any CPU
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Release|Mixed Platforms.Build.0 = Release|Any CPU
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Release|x86.ActiveCfg = Release|x86
-		{92119B2A-37FA-444B-8C68-61114BD041F4}.Release|x86.Build.0 = Release|x86
-		{C1A05138-12F5-4B47-B32D-80A508D3073A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C1A05138-12F5-4B47-B32D-80A508D3073A}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C1A05138-12F5-4B47-B32D-80A508D3073A}.Debug|Mixed Platforms.ActiveCfg = Debug|Any CPU
-		{C1A05138-12F5-4B47-B32D-80A508D3073A}.Debug|Mixed Platforms.Build.0 = Debug|Any CPU
-		{C1A05138-12F5-4B47-B32D-80A508D3073A}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{C1A05138-12F5-4B47-B32D-80A508D3073A}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C1A05138-12F5-4B47-B32D-80A508D3073A}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C1A05138-12F5-4B47-B32D-80A508D3073A}.Release|Mixed Platforms.ActiveCfg = Release|Any CPU
-		{C1A05138-12F5-4B47-B32D-80A508D3073A}.Release|Mixed Platforms.Build.0 = Release|Any CPU
-		{C1A05138-12F5-4B47-B32D-80A508D3073A}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Convert.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Convert.cs	(revision 4731)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Convert.cs	(revision 4732)
@@ -31,5 +31,5 @@
       if (source == null) return null;
       return new DT.Client { 
-        ResourceID = source.ResourceID, 
+        ResourceID = source.Id, 
         Name = source.Name, 
         Description = source.Description,
@@ -47,5 +47,5 @@
       if (source == null) return null;
       return new DA.Client { 
-        ResourceID = source.ResourceID, 
+        Id = source.ResourceID, 
         Name = source.Name, 
         Description = source.Description,
@@ -62,5 +62,5 @@
     public static void ToEntity(DT.Client source, DA.Client target) {
       if ((source != null) && (target != null)) {
-        target.ResourceID = source.ResourceID; 
+        target.Id = source.ResourceID; 
         target.Name = source.Name;
         target.Description = source.Description;
@@ -81,5 +81,5 @@
       if (source == null) return null;
       return new DT.ResourceGroup {
-        ResourceID = source.ResourceID,
+        ResourceID = source.Id,
         Name = source.Name,
         Description = source.Description,
@@ -91,5 +91,5 @@
       if (source == null) return null;
       return new DA.ResourceGroup {
-        ResourceID = source.ResourceID,
+        Id = source.ResourceID,
         Name = source.Name,
         Description = source.Description,
@@ -100,5 +100,5 @@
     public static void ToEntity(DT.ResourceGroup source, DA.ResourceGroup target) {
       if ((source != null) && (target != null)) {
-        target.ResourceID = source.ResourceID;
+        target.Id = source.ResourceID;
         target.Name = source.Name;
         target.Description = source.Description;
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj	(revision 4731)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication.csproj	(revision 4732)
@@ -64,5 +64,5 @@
   </ItemGroup>
   <ItemGroup>
-    <Content Include="AuthenticationService.svc" />
+    <Content Include="ClientService.svc" />
     <Content Include="Web.config" />
     <Content Include="Web.Debug.config">
@@ -75,8 +75,8 @@
   <ItemGroup>
     <Compile Include="Convert.cs" />
-    <Compile Include="AuthenticationService.svc.cs">
-      <DependentUpon>AuthenticationService.svc</DependentUpon>
+    <Compile Include="ClientService.svc.cs">
+      <DependentUpon>ClientService.svc</DependentUpon>
     </Compile>
-    <Compile Include="Interfaces\IAuthenticationService.cs" />
+    <Compile Include="Interfaces\IClientService.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
   </ItemGroup>
Index: branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Program.cs
===================================================================
--- branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Program.cs	(revision 4731)
+++ branches/ClientManagement/HeuristicLab.Services.Authentication/Test/Program.cs	(revision 4732)
@@ -26,5 +26,5 @@
             Client c = new Client();
 
-            c.ResourceID = Guid.NewGuid();
+            c.Id = Guid.NewGuid();
             c.Name = "Eagle-Eye";
             c.Description = "Development-PC";