Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/ClientService.svc
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/ClientService.svc	(revision 4733)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/ClientService.svc	(revision 4733)
@@ -0,0 +1,1 @@
+﻿<%@ ServiceHost Language="C#" Debug="true" Service="HeuristicLab.Services.Authentication.AuthenticationService" CodeBehind="ClientService.svc.cs" %>
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/ClientService.svc.cs
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/ClientService.svc.cs	(revision 4733)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/ClientService.svc.cs	(revision 4733)
@@ -0,0 +1,79 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Runtime.Serialization;
+using System.ServiceModel;
+using System.ServiceModel.Web;
+using System.Text;
+using System.Collections;
+
+namespace HeuristicLab.Services.Authentication
+{
+    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service1" in code, svc and config file together.
+    public class AuthenticationService : IClientService
+    {
+        #region IClientService Members
+
+        public DataTransfer.Client GetClient(Guid id)
+        {
+            throw new NotImplementedException();
+        }
+
+        public IEnumerable<DataTransfer.Client> GetClients()
+        {
+            throw new NotImplementedException();
+        }
+
+        public Guid AddClient(DataTransfer.Client dto)
+        {
+            throw new NotImplementedException();
+        }
+
+        public bool UpdateClient(DataTransfer.Client dto)
+        {
+            throw new NotImplementedException();
+        }
+
+        public bool DeleteClient(DataTransfer.Client id)
+        {
+            throw new NotImplementedException();
+        }
+
+        public DataTransfer.ResourceGroup GetResourceGroup(Guid id)
+        {
+            throw new NotImplementedException();
+        }
+
+        public IEnumerable<DataTransfer.ResourceGroup> GetResourceGroups()
+        {
+            throw new NotImplementedException();
+        }
+
+        public Guid AddResourceGroup(DataTransfer.ResourceGroup dto)
+        {
+            throw new NotImplementedException();
+        }
+
+        public bool UpdateResourceGroup(DataTransfer.ResourceGroup dto)
+        {
+            throw new NotImplementedException();
+        }
+
+        public bool DeleteResourceGroup(DataTransfer.ResourceGroup id)
+        {
+            throw new NotImplementedException();
+        }
+
+        public IEnumerable<DataTransfer.Resource> GetMembers(Guid id)
+        {
+            throw new NotImplementedException();
+        }
+
+        public IEnumerable<DataTransfer.Resource> GetRootResources()
+        {
+            throw new NotImplementedException();
+        }
+
+        #endregion
+    }
+}
Index: /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Interfaces/IClientService.cs
===================================================================
--- /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Interfaces/IClientService.cs	(revision 4733)
+++ /branches/ClientManagement/HeuristicLab.Services.Authentication/HeuristicLab.Services.Authentication/Interfaces/IClientService.cs	(revision 4733)
@@ -0,0 +1,48 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Runtime.Serialization;
+using System.ServiceModel;
+using System.ServiceModel.Web;
+using System.Text;
+using HeuristicLab.Services.Authentication.DataTransfer;
+
+namespace HeuristicLab.Services.Authentication
+{
+    [ServiceContract]
+    public interface IClientService
+    {
+        #region Client Methods
+        [OperationContract]
+        Client GetClient(Guid id);
+        [OperationContract]
+        IEnumerable<Client> GetClients();
+        [OperationContract]
+        Guid AddClient(Client dto);
+        [OperationContract]
+        bool UpdateClient(Client dto);
+        [OperationContract]
+        bool DeleteClient(Client id);
+        #endregion
+
+        #region ResourceGroup Methods
+        [OperationContract]
+        ResourceGroup GetResourceGroup(Guid id);
+        [OperationContract]
+        IEnumerable<ResourceGroup> GetResourceGroups();
+        [OperationContract]
+        Guid AddResourceGroup(ResourceGroup dto);
+        [OperationContract]
+        bool UpdateResourceGroup(ResourceGroup dto);
+        [OperationContract]
+        bool DeleteResourceGroup(ResourceGroup id);
+        #endregion
+
+        #region Additional Methods
+        [OperationContract]
+        IEnumerable<Resource> GetMembers(Guid id);
+        [OperationContract]
+        IEnumerable<Resource> GetRootResources();
+        #endregion
+    }
+}