Index: /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/HLWebPluginHost.csproj
===================================================================
--- /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/HLWebPluginHost.csproj	(revision 4735)
+++ /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/HLWebPluginHost.csproj	(revision 4736)
@@ -38,4 +38,6 @@
     <Reference Include="System.Data" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Runtime.Serialization" />
+    <Reference Include="System.ServiceModel" />
     <Reference Include="System.Web.DynamicData" />
     <Reference Include="System.Web.Entity" />
@@ -68,4 +70,5 @@
     <Compile Include="Controllers\AccountController.cs" />
     <Compile Include="Controllers\HomeController.cs" />
+    <Compile Include="Controllers\ServicePrototypeController.cs" />
     <Compile Include="Global.asax.cs">
       <DependentUpon>Global.asax</DependentUpon>
@@ -78,7 +81,58 @@
     <Compile Include="PluginLib\PluginViewEngine.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="Service References\OKBService\Reference.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTime>True</DesignTime>
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </Compile>
   </ItemGroup>
   <ItemGroup>
     <Content Include="Global.asax" />
+    <None Include="Service References\OKBService\configuration91.svcinfo" />
+    <None Include="Service References\OKBService\configuration.svcinfo" />
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Algorithm.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.AlgorithmClass.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.AlgorithmData.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.AlgorithmParameter.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.DataType.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Experiment.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Platform.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Problem.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.ProblemClass.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.ProblemData.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.ProblemParameter.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Result.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\HLWebPluginHost.OKBService.Run.datasource">
+      <DependentUpon>Reference.svcmap</DependentUpon>
+    </None>
+    <None Include="Service References\OKBService\Reference.svcmap">
+      <Generator>WCF Proxy Generator</Generator>
+      <LastGenOutput>Reference.cs</LastGenOutput>
+    </None>
+    <Content Include="Views\ServicePrototype\Index.aspx" />
     <Content Include="Web.config">
       <SubType>Designer</SubType>
@@ -117,4 +171,25 @@
     <Folder Include="App_Data\" />
   </ItemGroup>
+  <ItemGroup>
+    <WCFMetadata Include="Service References\" />
+  </ItemGroup>
+  <ItemGroup>
+    <WCFMetadataStorage Include="Service References\OKBService\" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Service References\OKBService\Arrays.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\OKBService\HeuristicLab.Services.OKB.DataTransfer.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\OKBService\service.wsdl" />
+    <None Include="Service References\OKBService\service.xsd">
+      <SubType>Designer</SubType>
+    </None>
+    <None Include="Service References\OKBService\service1.xsd">
+      <SubType>Designer</SubType>
+    </None>
+  </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" />
Index: /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/HLWebPluginHost.csproj.user
===================================================================
--- /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/HLWebPluginHost.csproj.user	(revision 4735)
+++ /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/HLWebPluginHost.csproj.user	(revision 4736)
@@ -1,4 +1,7 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <ProjectView>ShowAllFiles</ProjectView>
+  </PropertyGroup>
   <ProjectExtensions>
     <VisualStudio>
Index: /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Web.config
===================================================================
--- /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Web.config	(revision 4735)
+++ /branches/WebApplication/MVC2/HeuristicLabWeb.PluginHost/HLWebPluginHost/Web.config	(revision 4736)
@@ -96,4 +96,35 @@
     </assemblyBinding>
   </runtime>
+  <system.serviceModel>
+    <bindings>
+      <wsHttpBinding>
+        <binding name="WSHttpBinding_IOKBService" closeTimeout="00:01:00"
+          openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
+          bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
+          maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text"
+          textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
+            maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00"
+            enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None"
+              realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true"
+              algorithmSuite="Default" />
+          </security>
+        </binding>
+      </wsHttpBinding>
+    </bindings>
+    <client>
+      <endpoint address="http://localhost:8732/Design_Time_Addresses/OKB-3.3/OKBService"
+        binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IOKBService"
+        contract="OKBService.IOKBService" name="WSHttpBinding_IOKBService">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAIQrvmocYcMi5fmvHzIyVXAYioh8gAAAAAQAAAPIBAAAwggHuMIIBW6ADAgECAhB/K4IUpf//oE5Y7z4eayB9MAkGBSsOAwIdBQAwFDESMBAGA1UEAxMJbG9jYWxob3N0MB4XDTEwMDkyNTExNDY1N1oXDTM5MTIzMTIzNTk1OVowFDESMBAGA1UEAxMJbG9jYWxob3N0MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCtTYRDoRxGMo6KzVypLUKzMv6NbGgabF1PpORsk59JyT/W3bw6DDVAmXkxKEYyunIRHTyQp1/o9Or1n/lAVe0DyQYYvRrlVWn16kYbBwBG/5op3urgUo456WTfMvpezvUpII+U6p5lM2nJlCwLSVplbzbWg0Q45l813+9mXqfyPQIDAQABo0kwRzBFBgNVHQEEPjA8gBC9NBW28XBwPiaJJgiOU6W9oRYwFDESMBAGA1UEAxMJbG9jYWxob3N0ghB/K4IUpf//oE5Y7z4eayB9MAkGBSsOAwIdBQADgYEAdSi0jtQ/54Lqz5lWKk9EzTVImUn6gppz8JQGjo0lPa4PrsLplk2jK8Z7esgMLr3VqQPIgb92/ekrDMRttMi9MDgrSWbOPKjINvyC4mMK2KgfgHAfUQM8kH223GReUUzwF99FG8HhzoqrUMIlmCvrf5EZ19FBPEygFNOew0jhiHY=" />
+        </identity>
+      </endpoint>
+    </client>
+  </system.serviceModel>
 </configuration>
 