Index: trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs	(revision 4748)
+++ trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.Designer.cs	(revision 4749)
@@ -45,5 +45,4 @@
     /// </summary>
     private void InitializeComponent() {
-      this.components = new System.ComponentModel.Container();
       System.Windows.Forms.DataVisualization.Charting.ChartArea defaultChartArea = new System.Windows.Forms.DataVisualization.Charting.ChartArea();
       System.Windows.Forms.DataVisualization.Charting.Legend defaultLegend = new System.Windows.Forms.DataVisualization.Charting.Legend();
@@ -51,10 +50,6 @@
       System.Windows.Forms.DataVisualization.Charting.Title defaultTitle = new System.Windows.Forms.DataVisualization.Charting.Title();
       this.chart = new HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart();
-      this.contextMenuStrip = new System.Windows.Forms.ContextMenuStrip(this.components);
-      this.exportChartToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.saveFileDialog = new System.Windows.Forms.SaveFileDialog();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       ((System.ComponentModel.ISupportInitialize)(this.chart)).BeginInit();
-      this.contextMenuStrip.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -82,5 +77,4 @@
       defaultChartArea.Name = "Default";
       this.chart.ChartAreas.Add(defaultChartArea);
-      this.chart.ContextMenuStrip = this.contextMenuStrip;
       defaultLegend.Alignment = System.Drawing.StringAlignment.Center;
       defaultLegend.Docking = System.Windows.Forms.DataVisualization.Charting.Docking.Top;
@@ -104,23 +98,4 @@
       this.chart.MouseMove += new System.Windows.Forms.MouseEventHandler(this.chart_MouseMove);
       // 
-      // contextMenuStrip
-      // 
-      this.contextMenuStrip.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.exportChartToolStripMenuItem});
-      this.contextMenuStrip.Name = "contextMenuStrip";
-      this.contextMenuStrip.Size = new System.Drawing.Size(153, 48);
-      // 
-      // exportChartToolStripMenuItem
-      // 
-      this.exportChartToolStripMenuItem.Name = "exportChartToolStripMenuItem";
-      this.exportChartToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
-      this.exportChartToolStripMenuItem.Text = "Export chart...";
-      this.exportChartToolStripMenuItem.Click += new System.EventHandler(this.exportChartToolStripMenuItem_Click);
-      // 
-      // saveFileDialog
-      // 
-      this.saveFileDialog.DefaultExt = "emf";
-      this.saveFileDialog.Filter = "EMF Files|*.emf";
-      // 
       // DataTableView
       // 
@@ -137,5 +112,4 @@
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       ((System.ComponentModel.ISupportInitialize)(this.chart)).EndInit();
-      this.contextMenuStrip.ResumeLayout(false);
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -146,7 +120,4 @@
 
     private HeuristicLab.Visualization.ChartControlsExtensions.EnhancedChart chart;
-    private System.Windows.Forms.ContextMenuStrip contextMenuStrip;
-    private System.Windows.Forms.ToolStripMenuItem exportChartToolStripMenuItem;
-    private System.Windows.Forms.SaveFileDialog saveFileDialog;
 
   }
Index: trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs
===================================================================
--- trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 4748)
+++ trunk/sources/HeuristicLab.Analysis.Views/3.3/DataTableView.cs	(revision 4749)
@@ -441,5 +441,4 @@
       }
     }
-
     #endregion
 
@@ -447,10 +446,4 @@
       return double.IsNaN(x) || x < (double)decimal.MinValue || x > (double)decimal.MaxValue;
     }
-
-    private void exportChartToolStripMenuItem_Click(object sender, EventArgs e) {
-      if (saveFileDialog.ShowDialog() == DialogResult.OK) {
-        chart.SaveImage(saveFileDialog.FileName, ChartImageFormat.EmfDual);
-      }
-    }
   }
 }