Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4710)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Calendar/3.3/Properties/AssemblyInfo.cs	(revision 4750)
@@ -58,3 +58,3 @@
 // [assembly: AssemblyVersion("1.0.*")]
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.0.4629")]
+[assembly: AssemblyFileVersion("3.3.0.4710")]
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HeuristicLab.Hive.Experiment.Views-3.3.csproj
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HeuristicLab.Hive.Experiment.Views-3.3.csproj	(revision 4710)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HeuristicLab.Hive.Experiment.Views-3.3.csproj	(revision 4750)
@@ -98,7 +98,4 @@
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.Data-3.3.dll</HintPath>
     </Reference>
-    <Reference Include="HeuristicLab.Hive.Server.Console-3.3">
-      <HintPath>..\..\HeuristicLab.Hive.Server.Console\3.3\obj\Debug\HeuristicLab.Hive.Server.Console-3.3.dll</HintPath>
-    </Reference>
     <Reference Include="HeuristicLab.MainForm-3.3">
       <HintPath>C:\Program Files\HeuristicLab 3.3\HeuristicLab.MainForm-3.3.dll</HintPath>
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HeuristicLabHiveExperimentViewsPlugin.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HeuristicLabHiveExperimentViewsPlugin.cs	(revision 4710)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HeuristicLabHiveExperimentViewsPlugin.cs	(revision 4750)
@@ -37,8 +37,8 @@
   [PluginDependency("HeuristicLab.MainForm", "3.3")]
   [PluginDependency("HeuristicLab.MainForm.WindowsForms", "3.3")]
-  [PluginDependency("HeuristicLab.Optimizer", "3.3")]
   [PluginDependency("HeuristicLab.Operators.Views", "3.3")]
   [PluginDependency("HeuristicLab.Optimization", "3.3")]
   [PluginDependency("HeuristicLab.Optimization.Views", "3.3")]
+  [PluginDependency("HeuristicLab.Optimizer", "3.3")]
   [PluginDependency("HeuristicLab.Persistence", "3.3")]
   public class HeuristicLabHiveExperimentViewsPlugin : PluginBase {
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Exceptions/OptimizerNotFoundException.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Exceptions/OptimizerNotFoundException.cs	(revision 4710)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Exceptions/OptimizerNotFoundException.cs	(revision 4750)
@@ -24,7 +24,5 @@
 namespace HeuristicLab.Hive.Experiment {
   class OptimizerNotFoundException : Exception {
-
-    public OptimizerNotFoundException(string message) : base(message) {
-    }
+    public OptimizerNotFoundException(string message) : base(message) { }
   }
 }
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs	(revision 4710)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveExperiment.cs	(revision 4750)
@@ -516,5 +516,4 @@
 
     private void LogMessage(Guid jobId, string message) {
-      //GetJobItemById(jobId).LogMessage(message);
       LogMessage(message + " (jobId: " + jobId + ")");
     }
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveJob.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveJob.cs	(revision 4710)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveJob.cs	(revision 4750)
@@ -33,4 +33,5 @@
 
 namespace HeuristicLab.Hive.Experiment {
+  [Item("Hive Job", "Represents a hive job.")]
   [StorableClass]
   public class HiveJob : Item {
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveJobList.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveJobList.cs	(revision 4710)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/HiveJobList.cs	(revision 4750)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Hive.Experiment {
-  [Item("JobItem List", "Represents a list of hive jobs.")]
+  [Item("Hive Job List", "Represents a list of hive jobs.")]
   [StorableClass]
   public class HiveJobList : ItemList<HiveJob> {
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Jobs/OptimizerJob.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Jobs/OptimizerJob.cs	(revision 4710)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/Jobs/OptimizerJob.cs	(revision 4750)
@@ -29,4 +29,5 @@
 
 namespace HeuristicLab.Hive.Experiment.Jobs {
+  [Item("Optimizer Job", "Represents Job which executes a IOptimizer object.")]
   [StorableClass]
   public class OptimizerJob : IJob {
Index: branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs
===================================================================
--- branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs	(revision 4710)
+++ branches/HeuristicLab.Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment/3.3/ServiceLocator.cs	(revision 4750)
@@ -43,5 +43,5 @@
     }
 
-    void Default_SettingChanging(object sender, System.Configuration.SettingChangingEventArgs e) {
+    internal void Default_SettingChanging(object sender, System.Configuration.SettingChangingEventArgs e) {
       if (clientFacadePool != null) {
         clientFacadePool.HostAddress = Settings.Default.HiveServerIp;