Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisSolutionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisSolutionView.Designer.cs	(revision 4753)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/DataAnalysisSolutionView.Designer.cs	(revision 4754)
@@ -45,9 +45,8 @@
     private void InitializeComponent() {
       this.dataTabPage = new System.Windows.Forms.TabPage();
+      this.dataViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.modelTabPage = new System.Windows.Forms.TabPage();
+      this.modelViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.tabControl = new System.Windows.Forms.TabControl();
-      this.modelViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.viewHost1 = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.dataViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.dataTabPage.SuspendLayout();
       this.modelTabPage.SuspendLayout();
@@ -66,4 +65,19 @@
       this.dataTabPage.UseVisualStyleBackColor = true;
       // 
+      // dataViewHost
+      // 
+      this.dataViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.dataViewHost.Caption = "DataAnalysisSolution Data View";
+      this.dataViewHost.Content = null;
+      this.dataViewHost.Enabled = false;
+      this.dataViewHost.Location = new System.Drawing.Point(6, 6);
+      this.dataViewHost.Name = "dataViewHost";
+      this.dataViewHost.ReadOnly = false;
+      this.dataViewHost.Size = new System.Drawing.Size(360, 224);
+      this.dataViewHost.TabIndex = 2;
+      this.dataViewHost.ViewType = null;
+      // 
       // modelTabPage
       // 
@@ -76,4 +90,19 @@
       this.modelTabPage.Text = "Model";
       this.modelTabPage.UseVisualStyleBackColor = true;
+      // 
+      // modelViewHost
+      // 
+      this.modelViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.modelViewHost.Caption = "DataAnalysisSolution Model View";
+      this.modelViewHost.Content = null;
+      this.modelViewHost.Enabled = false;
+      this.modelViewHost.Location = new System.Drawing.Point(6, 6);
+      this.modelViewHost.Name = "modelViewHost";
+      this.modelViewHost.ReadOnly = false;
+      this.modelViewHost.Size = new System.Drawing.Size(360, 224);
+      this.modelViewHost.TabIndex = 1;
+      this.modelViewHost.ViewType = null;
       // 
       // tabControl
@@ -89,43 +118,4 @@
       this.tabControl.Size = new System.Drawing.Size(380, 262);
       this.tabControl.TabIndex = 1;
-      // 
-      // modelViewHost
-      // 
-      this.modelViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.modelViewHost.Caption = "DataAnalysisSolution Model View";
-      this.modelViewHost.Content = null;
-      this.modelViewHost.Location = new System.Drawing.Point(6, 6);
-      this.modelViewHost.Name = "modelViewHost";
-      this.modelViewHost.ReadOnly = false;
-      this.modelViewHost.Size = new System.Drawing.Size(360, 224);
-      this.modelViewHost.TabIndex = 1;
-      this.modelViewHost.ViewType = null;
-      // 
-      // viewHost1
-      // 
-      this.viewHost1.Caption = "View";
-      this.viewHost1.Content = null;
-      this.viewHost1.Location = new System.Drawing.Point(6, 6);
-      this.viewHost1.Name = "viewHost1";
-      this.viewHost1.ReadOnly = false;
-      this.viewHost1.Size = new System.Drawing.Size(360, 224);
-      this.viewHost1.TabIndex = 1;
-      this.viewHost1.ViewType = null;
-      // 
-      // dataViewHost
-      // 
-      this.dataViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.dataViewHost.Caption = "DataAnalysisSolution Data View";
-      this.dataViewHost.Content = null;
-      this.dataViewHost.Location = new System.Drawing.Point(6, 6);
-      this.dataViewHost.Name = "dataViewHost";
-      this.dataViewHost.ReadOnly = false;
-      this.dataViewHost.Size = new System.Drawing.Size(360, 224);
-      this.dataViewHost.TabIndex = 2;
-      this.dataViewHost.ViewType = null;
       // 
       // DataAnalysisSolutionView
@@ -149,5 +139,4 @@
     protected System.Windows.Forms.TabPage modelTabPage;
     protected HeuristicLab.MainForm.WindowsForms.ViewHost dataViewHost;
-    private HeuristicLab.MainForm.WindowsForms.ViewHost viewHost1;
     protected HeuristicLab.MainForm.WindowsForms.ViewHost modelViewHost;
   }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicRegressionSolutionView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicRegressionSolutionView.Designer.cs	(revision 4753)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/SymbolicRegressionSolutionView.Designer.cs	(revision 4754)
@@ -63,4 +63,8 @@
       this.modelTabPage.Size = new System.Drawing.Size(372, 207);
       // 
+      // dataViewHost
+      // 
+      this.dataViewHost.Size = new System.Drawing.Size(360, 195);
+      // 
       // modelViewHost
       // 