Index: branches/HeuristicLab.DebugEngine/DebugEngineView.Designer.cs
===================================================================
--- branches/HeuristicLab.DebugEngine/DebugEngineView.Designer.cs	(revision 4753)
+++ branches/HeuristicLab.DebugEngine/DebugEngineView.Designer.cs	(revision 4759)
@@ -45,4 +45,5 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
       System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(DebugEngineView));
       this.label1 = new System.Windows.Forms.Label();
@@ -50,11 +51,15 @@
       this.logView = new HeuristicLab.Core.Views.LogView();
       this.splitContainer1 = new System.Windows.Forms.SplitContainer();
-      this.splitContainer2 = new System.Windows.Forms.SplitContainer();
       this.executionStackTreeView = new System.Windows.Forms.TreeView();
       this.label2 = new System.Windows.Forms.Label();
+      this.splitContainer2 = new System.Windows.Forms.SplitContainer();
       this.label3 = new System.Windows.Forms.Label();
       this.scopeTreeView = new System.Windows.Forms.TreeView();
       this.stepButton = new System.Windows.Forms.Button();
       this.updateButton = new System.Windows.Forms.Button();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
+      this.parentButton = new System.Windows.Forms.Button();
+      this.operationTextBox = new System.Windows.Forms.TextBox();
+      this.label4 = new System.Windows.Forms.Label();
       this.splitContainer1.Panel1.SuspendLayout();
       this.splitContainer1.Panel2.SuspendLayout();
@@ -81,5 +86,5 @@
       this.executionTimeTextBox.Name = "executionTimeTextBox";
       this.executionTimeTextBox.ReadOnly = true;
-      this.executionTimeTextBox.Size = new System.Drawing.Size(366, 20);
+      this.executionTimeTextBox.Size = new System.Drawing.Size(496, 20);
       this.executionTimeTextBox.TabIndex = 1;
       // 
@@ -92,13 +97,11 @@
       this.logView.Name = "logView";
       this.logView.ReadOnly = false;
-      this.logView.Size = new System.Drawing.Size(515, 175);
+      this.logView.Size = new System.Drawing.Size(339, 255);
       this.logView.TabIndex = 2;
       // 
       // splitContainer1
       // 
-      this.splitContainer1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.splitContainer1.Location = new System.Drawing.Point(3, 32);
+      this.splitContainer1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.splitContainer1.Location = new System.Drawing.Point(0, 0);
       this.splitContainer1.Name = "splitContainer1";
       this.splitContainer1.Orientation = System.Windows.Forms.Orientation.Horizontal;
@@ -106,31 +109,13 @@
       // splitContainer1.Panel1
       // 
-      this.splitContainer1.Panel1.Controls.Add(this.splitContainer2);
+      this.splitContainer1.Panel1.Controls.Add(this.executionStackTreeView);
+      this.splitContainer1.Panel1.Controls.Add(this.label2);
       // 
       // splitContainer1.Panel2
       // 
       this.splitContainer1.Panel2.Controls.Add(this.logView);
-      this.splitContainer1.Size = new System.Drawing.Size(515, 341);
-      this.splitContainer1.SplitterDistance = 162;
+      this.splitContainer1.Size = new System.Drawing.Size(339, 492);
+      this.splitContainer1.SplitterDistance = 233;
       this.splitContainer1.TabIndex = 3;
-      // 
-      // splitContainer2
-      // 
-      this.splitContainer2.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.splitContainer2.Location = new System.Drawing.Point(0, 0);
-      this.splitContainer2.Name = "splitContainer2";
-      // 
-      // splitContainer2.Panel1
-      // 
-      this.splitContainer2.Panel1.Controls.Add(this.executionStackTreeView);
-      this.splitContainer2.Panel1.Controls.Add(this.label2);
-      // 
-      // splitContainer2.Panel2
-      // 
-      this.splitContainer2.Panel2.Controls.Add(this.label3);
-      this.splitContainer2.Panel2.Controls.Add(this.scopeTreeView);
-      this.splitContainer2.Size = new System.Drawing.Size(515, 162);
-      this.splitContainer2.SplitterDistance = 258;
-      this.splitContainer2.TabIndex = 0;
       // 
       // executionStackTreeView
@@ -142,5 +127,5 @@
       this.executionStackTreeView.Name = "executionStackTreeView";
       this.executionStackTreeView.ShowNodeToolTips = true;
-      this.executionStackTreeView.Size = new System.Drawing.Size(252, 143);
+      this.executionStackTreeView.Size = new System.Drawing.Size(333, 214);
       this.executionStackTreeView.TabIndex = 2;
       this.executionStackTreeView.NodeMouseDoubleClick += new System.Windows.Forms.TreeNodeMouseClickEventHandler(this.executionStackTreeView_NodeMouseDoubleClick);
@@ -155,8 +140,30 @@
       this.label2.Text = "Execution Stack";
       // 
+      // splitContainer2
+      // 
+      this.splitContainer2.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.splitContainer2.Location = new System.Drawing.Point(3, 32);
+      this.splitContainer2.Name = "splitContainer2";
+      // 
+      // splitContainer2.Panel1
+      // 
+      this.splitContainer2.Panel1.Controls.Add(this.splitContainer1);
+      // 
+      // splitContainer2.Panel2
+      // 
+      this.splitContainer2.Panel2.Controls.Add(this.label4);
+      this.splitContainer2.Panel2.Controls.Add(this.operationTextBox);
+      this.splitContainer2.Panel2.Controls.Add(this.label3);
+      this.splitContainer2.Panel2.Controls.Add(this.scopeTreeView);
+      this.splitContainer2.Size = new System.Drawing.Size(678, 492);
+      this.splitContainer2.SplitterDistance = 339;
+      this.splitContainer2.TabIndex = 0;
+      // 
       // label3
       // 
       this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(3, 0);
+      this.label3.Location = new System.Drawing.Point(3, 26);
       this.label3.Name = "label3";
       this.label3.Size = new System.Drawing.Size(63, 13);
@@ -169,8 +176,8 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.scopeTreeView.Location = new System.Drawing.Point(3, 16);
+      this.scopeTreeView.Location = new System.Drawing.Point(3, 42);
       this.scopeTreeView.Name = "scopeTreeView";
       this.scopeTreeView.ShowNodeToolTips = true;
-      this.scopeTreeView.Size = new System.Drawing.Size(247, 143);
+      this.scopeTreeView.Size = new System.Drawing.Size(329, 447);
       this.scopeTreeView.TabIndex = 0;
       this.scopeTreeView.NodeMouseDoubleClick += new System.Windows.Forms.TreeNodeMouseClickEventHandler(this.scopeTreeView_NodeMouseDoubleClick);
@@ -180,8 +187,9 @@
       this.stepButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.stepButton.Image = ((System.Drawing.Image)(resources.GetObject("stepButton.Image")));
-      this.stepButton.Location = new System.Drawing.Point(494, 3);
+      this.stepButton.Location = new System.Drawing.Point(624, 3);
       this.stepButton.Name = "stepButton";
       this.stepButton.Size = new System.Drawing.Size(24, 24);
       this.stepButton.TabIndex = 4;
+      this.toolTip.SetToolTip(this.stepButton, "Step");
       this.stepButton.UseVisualStyleBackColor = true;
       this.stepButton.Click += new System.EventHandler(this.stepButton_Click);
@@ -191,26 +199,57 @@
       this.updateButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
       this.updateButton.Image = ((System.Drawing.Image)(resources.GetObject("updateButton.Image")));
-      this.updateButton.Location = new System.Drawing.Point(464, 3);
+      this.updateButton.Location = new System.Drawing.Point(654, 3);
       this.updateButton.Name = "updateButton";
       this.updateButton.Size = new System.Drawing.Size(24, 24);
       this.updateButton.TabIndex = 5;
+      this.toolTip.SetToolTip(this.updateButton, "Refresh/Reset View");
       this.updateButton.UseVisualStyleBackColor = true;
       this.updateButton.Click += new System.EventHandler(this.updateButton_Click);
       // 
+      // parentButton
+      // 
+      this.parentButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.parentButton.Image = ((System.Drawing.Image)(resources.GetObject("parentButton.Image")));
+      this.parentButton.Location = new System.Drawing.Point(594, 3);
+      this.parentButton.Name = "parentButton";
+      this.parentButton.Size = new System.Drawing.Size(24, 24);
+      this.parentButton.TabIndex = 6;
+      this.toolTip.SetToolTip(this.parentButton, "Go to parent ExecutionContext");
+      this.parentButton.UseVisualStyleBackColor = true;
+      this.parentButton.Click += new System.EventHandler(this.parentButton_Click);
+      // 
+      // operationTextBox
+      // 
+      this.operationTextBox.Location = new System.Drawing.Point(65, 3);
+      this.operationTextBox.Name = "operationTextBox";
+      this.operationTextBox.ReadOnly = true;
+      this.operationTextBox.Size = new System.Drawing.Size(267, 20);
+      this.operationTextBox.TabIndex = 2;
+      // 
+      // label4
+      // 
+      this.label4.AutoSize = true;
+      this.label4.Location = new System.Drawing.Point(3, 6);
+      this.label4.Name = "label4";
+      this.label4.Size = new System.Drawing.Size(56, 13);
+      this.label4.TabIndex = 3;
+      this.label4.Text = "Operation:";
+      // 
       // DebugEngineView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.Controls.Add(this.parentButton);
+      this.Controls.Add(this.splitContainer2);
       this.Controls.Add(this.updateButton);
       this.Controls.Add(this.stepButton);
-      this.Controls.Add(this.splitContainer1);
       this.Controls.Add(this.executionTimeTextBox);
       this.Controls.Add(this.label1);
       this.Name = "DebugEngineView";
-      this.Size = new System.Drawing.Size(521, 376);
+      this.Size = new System.Drawing.Size(684, 527);
       this.splitContainer1.Panel1.ResumeLayout(false);
+      this.splitContainer1.Panel1.PerformLayout();
       this.splitContainer1.Panel2.ResumeLayout(false);
       this.splitContainer1.ResumeLayout(false);
       this.splitContainer2.Panel1.ResumeLayout(false);
-      this.splitContainer2.Panel1.PerformLayout();
       this.splitContainer2.Panel2.ResumeLayout(false);
       this.splitContainer2.Panel2.PerformLayout();
@@ -234,4 +273,8 @@
     private System.Windows.Forms.Button stepButton;
     private System.Windows.Forms.Button updateButton;
+    private System.Windows.Forms.ToolTip toolTip;
+    private System.Windows.Forms.Button parentButton;
+    private System.Windows.Forms.Label label4;
+    private System.Windows.Forms.TextBox operationTextBox;
 
   }
Index: branches/HeuristicLab.DebugEngine/DebugEngineView.cs
===================================================================
--- branches/HeuristicLab.DebugEngine/DebugEngineView.cs	(revision 4753)
+++ branches/HeuristicLab.DebugEngine/DebugEngineView.cs	(revision 4759)
@@ -24,4 +24,5 @@
 using System.Drawing;
 using System.Windows.Forms;
+using HeuristicLab.Common.Resources;
 using HeuristicLab.Core;
 using HeuristicLab.Core.Views;
@@ -49,4 +50,7 @@
     public DebugEngineView() {
       InitializeComponent();
+      updateButton.Image = VS2008ImageLibrary.Refresh;
+      stepButton.Image = VS2008ImageLibrary.MoveNext;
+      parentButton.Image = VS2008ImageLibrary.ArrowUp;
     }
 
@@ -117,23 +121,53 @@
         Invoke(new Action(UpdateView));
       } else {
-        executionStackTreeView.BeginUpdate();
-        executionStackTreeView.Nodes.Clear();
-        AddOperations(executionStackTreeView.Nodes, Content.ExecutionStack.ToArray());
-        executionStackTreeView.ExpandAll();
-        if (executionStackTreeView.Nodes.Count > 0)
-          executionStackTreeView.TopNode = executionStackTreeView.Nodes[0];
-        executionStackTreeView.EndUpdate();
-
-
-        scopeTreeView.BeginUpdate();
-        scopeTreeView.Nodes.Clear();
-        if (Content.CurrentOperation != null) {
-          AddScope(scopeTreeView.Nodes, Content.CurrentOperation.Scope);
-        }
-        scopeTreeView.ExpandAll();
-        if (scopeTreeView.Nodes.Count > 0)
-          scopeTreeView.TopNode = scopeTreeView.Nodes[0];
-        scopeTreeView.EndUpdate();
-      }
+        UpdateExecutionStack();
+        SetOperation(Content.CurrentOperation);
+      }
+    }
+
+    private void SetOperation(IOperation operation) {
+      IAtomicOperation atomicOperation = operation as IAtomicOperation;
+      operationTextBox.Text = "<none>";
+      toolTip.SetToolTip(operationTextBox, null);
+      if (atomicOperation != null && atomicOperation.Operator != null) {
+        operationTextBox.Text = string.Format("Atomic {0}", atomicOperation.Operator.Name);
+        toolTip.SetToolTip(operationTextBox, TypeName(atomicOperation.Operator));
+      }
+      OperationCollection operationCollection = operation as OperationCollection;
+      if (operationCollection != null)
+        operationTextBox.Text = string.Format("Collection {0}", operationCollection.Count);
+      IExecutionContext context = operation as IExecutionContext;
+      IScope scope = null;
+      if (context != null) {
+        scope = context.Scope;
+        while (scope != null && scope.Parent != null)
+          scope = scope.Parent;
+      }
+      UpdateScope(scope);
+      if (context != null)
+        parentButton.Enabled = context.Parent != null;
+      scopeTreeView.Tag = context;
+    }
+
+    private void UpdateExecutionStack() {
+      executionStackTreeView.BeginUpdate();
+      executionStackTreeView.Nodes.Clear();
+      AddOperations(executionStackTreeView.Nodes, Content.ExecutionStack.ToArray());
+      executionStackTreeView.ExpandAll();
+      if (executionStackTreeView.Nodes.Count > 0)
+        executionStackTreeView.TopNode = executionStackTreeView.Nodes[0];
+      executionStackTreeView.EndUpdate();
+    }
+
+    private void UpdateScope(IScope scope) {
+      scopeTreeView.BeginUpdate();
+      scopeTreeView.Nodes.Clear();
+      if (scope != null) {
+        AddScope(scopeTreeView.Nodes, scope);
+      }
+      scopeTreeView.ExpandAll();
+      if (scopeTreeView.Nodes.Count > 0)
+        scopeTreeView.TopNode = scopeTreeView.Nodes[0];
+      scopeTreeView.EndUpdate();
     }
 
@@ -151,4 +185,5 @@
           node.Tag = atom;
           node.ToolTipText = TypeName(atom);
+          node.ImageKey = "AtomicOperation";
           if (atom.Operator.Breakpoint)
             node.ForeColor = Color.Red;
@@ -158,4 +193,5 @@
             paramNode.Tag = param;
             paramNode.ToolTipText = string.Format("{0} = {1}", TypeName(param), typeName);
+            paramNode.ImageKey = "Parameter";
           }
         } else if (op is OperationCollection) {
@@ -164,4 +200,5 @@
           node.Tag = op;
           node.ToolTipText = TypeName(ops);
+          node.ImageKey = "OperationCollection";
           AddOperations(node.Nodes, ops);
         }
@@ -170,23 +207,31 @@
 
     private string GetApproximateValue(IParameter param, ref string typeName) {
-      string value = "<none>";
+      string valueString = "<none>";
+      IExecutionContext context = Content.CurrentOperation as IExecutionContext;
+      IExecutionContext originalContext = param.ExecutionContext;
+      object value = null;
       try {
-        IExecutionContext context = Content.CurrentOperation as IExecutionContext;
-        IExecutionContext oldContext = param.ExecutionContext;
-        if (context != null) {
+        try {
           param.ExecutionContext = context;
-        }
-        value = param.ActualValue.ToString();
-        typeName = TypeName(param.ActualValue);
-        if (context != oldContext) {
-          param.ExecutionContext = oldContext;
-          value = string.Format("~ {0}", value);
+          value = param.ActualValue;
+        } finally {
+          param.ExecutionContext = originalContext;
         }
       } catch (Exception) { }
-      return value;
+      if (value != null) {
+        valueString = value.ToString();
+        if (context != originalContext)
+          valueString = " ~ " + valueString;
+        typeName = TypeName(value);
+      }
+      return valueString;
     }
 
     private void AddScope(TreeNodeCollection nodes, IScope scope) {
       TreeNode node = nodes.Add(scope.Name);
+      if (Content.CurrentOperation != null && Content.CurrentOperation.Scope == scope) {
+        node.ForeColor = Color.Red;
+        node.BackColor = Color.LightGray;
+      }
       foreach (var var in scope.Variables) {
         TreeNode varNode = node.Nodes.Add(string.Format("{0}={1}", var.Name, var.Value.ToString()));
@@ -230,4 +275,11 @@
         MainFormManager.MainForm.ShowContent((IItem)e.Node.Tag);
     }
+
+    private void parentButton_Click(object sender, EventArgs e) {
+      IExecutionContext context = scopeTreeView.Tag as IExecutionContext;
+      if (context != null) {
+        SetOperation(context.Parent as IOperation);
+      }
+    }
   }
 }
Index: branches/HeuristicLab.DebugEngine/DebugEngineView.resx
===================================================================
--- branches/HeuristicLab.DebugEngine/DebugEngineView.resx	(revision 4753)
+++ branches/HeuristicLab.DebugEngine/DebugEngineView.resx	(revision 4759)
@@ -122,29 +122,42 @@
     <value>
         iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8
-        YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlzAAALCwAA
-        CwsBbQSEtwAAAXxJREFUOE9j+P//PwM6Tuh5woZNHJsYhmaQIqABpkDMQowhWA0onPX8f/zkt/bohoDE
-        G+Y9/xXb8fANzHCsBuTOfPY/ofve/7gJr72QvQMSX3Xk/f/w9gdA/RCvYzUgY8rT//P2//4f1HDzL9CA
-        bJghIPGF+z78D264ht8AoIb/s/f9+t+59e9/t9LL/4H8PJAhIPFpW97/96++gN+AyK5H/6ds+/W/ZOnf
-        /wnT//63yT0LNgQk3rv6w3+v0hP4DQhsfvi/de17sGbjki//paOv/TeOXPYfJF43/91/l/wD+A3wqLr/
-        v2TuO7hmRZee/9I+qztA4vnT3vy3z9iO3wD70rv/A1uegW2GaF5ZDwpxkHj25Nf/LRLW4zfAIu/Of5uC
-        KzDNWbAoA4mn9r8GewdvNBpm3QZrlvJaXo6cGkHiYS0v/+sGz8NvgE7aDaCz1zSjJ2WQuF/1w/8avtPw
-        GyDlvbZF2nsFRoayy7r8S8Vjwn8QxusFYjIR1QwAADhfzufKNbAvAAAAAElFTkSuQmCC
+        YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlzAAALEQAA
+        CxEBf2RfkQAAARBJREFUOE9j+P//PwM6Tuh5woxNHJsYhmaQIqABMkDMRIwhWA0onPX8f/zkt0rEGILV
+        gNyZz/4ndN/7HzfhtQYh72A1IGPK0//z9v/+H9Rw8zXQAFt8huAKg/+z9/3637n173+30sv/gQbY4zIE
+        qwGRXY/+T9n263/J0r//E6b//W+TexanIVgNCGx++L917XuwZuOSL/+lo6/9N45c9t+h6Gw8ukuwGuBR
+        df9/ydx3cM2KLj3/pX1WBxKdDuxL7/4PbHkGthmieaUXrjSB1QUWeXf+2xRcgWm2wZegsBpgmHUbrFnK
+        a7krodSI1QCdtBtAZ6/xJaQZJI/VACnvtX7S3iuIylBYDSDGZpgaig0AAOHY1PSKOymCAAAAAElFTkSu
+        QmCC
 </value>
   </data>
+  <metadata name="toolTip.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>17, 17</value>
+  </metadata>
   <data name="updateButton.Image" type="System.Drawing.Bitmap, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
     <value>
         iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8
-        YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlzAAALDgAA
-        Cw4BQL7hQQAAAkNJREFUOE+d0l1IU2EYB/AZXSR0GV10bRclXWRdRB8kk5TIMV3iFgWC1FhgZbNlBNY2
-        KqEwzbkMwpVzKyoWeswuXNOWy8yZ8zPXyMlcbbbvj+NZ24x/74JC7BjSgQfOxfv+zv95zpMFgKN60LW+
-        KH9X0ez8At/1xb8tGqc3B4KRjRuysz/lbM1rquBtpzirPRmg941Nrm6nxrpMQwmj9SOMU07cowZwsUkP
-        geRaoPxM/YnMObbilElubGnWdL43DY7/8NEMPEwSzhiDUR8Nauor5JoeFB6vTR0S1eSwAiaLTaPr7Iu7
-        /RHQqTSiyTR8iynMBBfRPxeFzuqB5LoGBwTnlKxAy0Nq+qXFRi4lEU8tgU4vIcSk4QgyMDsjeGILoE77
-        GvtLq8OswHlFKywON5zRBPxMCqHvaXjiSUx+o9H3OQz9sBfKRyM4WCYl9/+eA0feqJ/VvfqAkQUaMyEG
-        jnACE6T/t/MxdE8H0DbghrSlB3uKq0ZZgau3O7R1dw2J3rkYzK44qRiMJDplD6LD6kW9YRLCmmaUV4hp
-        VuD0ZfWmo2Jl9NYzM56OB/B8IoTHpG/NOy9uUnZUKtrBLZdCrzrJ3kJGJb+ykFepWDylaMMVbT/56hhq
-        1C9wTKZCftlZ3JHzEbbXsyJ/loMgOy81GO5zRbKhfSXV8QJRLYRVja4jvMMy7u4dGGzNZUVYt+t3r8Li
-        3KzMO7+EJyDFivwTWD601ZA1ASTJuuVJuhvycEFc8GuoawJWJNlL0gyTKv0vYOUu/AQZkMf/XhecFgAA
-        AABJRU5ErkJggg==
+        YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlzAAALEAAA
+        CxABrSO9dQAAAmFJREFUOE+dk21IU1EYx3cVVzkhaLCy+UaY0xwlZkYRmiGR7oMEUlAGfRGKvkRFVOQ0
+        DddsVmtbvpQWhCFBSvaCUcRAk0gGm8SGM7JtrU1nzYFvu3P33znDRcLpSxceDvdefr/zv+d5Lidaufjg
+        QKKIWwNSUo4Tz4u4RAl5xYsgJIuEcADCYlS8oQKLvvvKdam1n+PcqjUyN5ox7PyIVrMB1U9PoKxThZI7
+        h3C1vwk2l2OWD40c15nbwITD/h5p/9hrVL2sgXpSA43bgGsOHeodLTj16QJK71XCOmlH3u1dbIHDOxGk
+        8PXJW1D1HYWsfgs2NW3FSfOZmKjBcTMmydLmswWXnjegZvg0dusPoHXQiDH3OJw+F9IaFbFU8UptymYL
+        DncdQ0lHBfosrxBZFvL5ZUEyFfgFm2d8lURal8kWFHeU4eIzNYULSHF8ROB6LQPI1CiRrskF3ZnC6y/L
+        2YIdxr0Y/WqDf/pnEj1lry+Q5vkxlfTdN73W6w+IyX2Cy+PfOP7FxRaQHbFSB8maGOaFfR7vFLcYjiYs
+        LEW5eVJzC1GJekjLFhR2lWJ72x7k3i0KZrUoQ/JmBdpHHmOJj0ppIiIpbx96iDzjP9q4s6sEWrcp1rJs
+        XQEsLjv9HJAE6TSF1eVE5ZNqbK7LYSfYZir+I6AShb4Ilm92MoET6BzuiU0lbWXto7NsAYmNnBuFq3pO
+        oThIYblagQfve9mCjOZ8vLC+hZwMzt9QfIAorHljQGA2sp/5L7S96wY5KHxwWHCltxEq0xGknJch5ZwM
+        5foqGAe7MROKJHtn+ASm4H8f/gZt6J11yfCrBQAAAABJRU5ErkJggg==
+</value>
+  </data>
+  <data name="parentButton.Image" type="System.Drawing.Bitmap, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+    <value>
+        iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8
+        YQUAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUwAADqYAAAOpgAABdwnLpRPAAAAAlwSFlzAAALEgAA
+        CxIB0t1+/AAAAN5JREFUOE9j/P//PwNFAGQALuxeeskYnzzYclwKVH3nSpXNefEfaEgEPkOwGgDTPG/f
+        3/+GYYv+G8ds8MVlCIYByJrz5/7475R35L9WwAKchqAYgKy5dd2//5E9n/57lF38b5+1/7+G31yshqAY
+        APJz8cyn/0F07Yr//+Mm//nvX3/vv2bI6v9Aw/+reE4D+gQ10LGGAcgAkAtgBqj7L8LQCDMIpwGTt//9
+        nzvvL9gFqt6zSDcAFAMVSwfSgGWHf1PmApABoCgEYWX3SaSHAUgTMiY6JRLKPESlA1IMAQAvnrIcTgHP
+        egAAAABJRU5ErkJggg==
 </value>
   </data>
Index: branches/HeuristicLab.DebugEngine/HeuristicLab.DebugEngine.csproj
===================================================================
--- branches/HeuristicLab.DebugEngine/HeuristicLab.DebugEngine.csproj	(revision 4753)
+++ branches/HeuristicLab.DebugEngine/HeuristicLab.DebugEngine.csproj	(revision 4759)
@@ -114,5 +114,4 @@
     <Reference Include="System.Xml.Linq" />
     <Reference Include="System.Data.DataSetExtensions" />
-    <Reference Include="Microsoft.CSharp" />
     <Reference Include="System.Data" />
     <Reference Include="System.Xml" />